import logging
import os
import sys
from logging.handlers import RotatingFileHandler
from em_tasks.utils.mongo_product import MongoProduct
from cmutils.config_loaders import IniConfigLoader


logger = logging.getLogger('em_tasks.' + __name__)
formatter = logging.Formatter('%(asctime)s [%(levelname)s]: %(message)s')
logger.setLevel(logging.DEBUG)
stream_handler = logging.StreamHandler(sys.stdout)
stream_handler.setFormatter(formatter)
logger.addHandler(stream_handler)

def get_config():
    config_path = os.path.join('~', '.em_celery', 'config.ini')
    config = IniConfigLoader(config_path)
    return config.load()

def get_mongo():
  config = get_config()
  product_cfg = config['mongo.product']
  return MongoProduct(
    product_cfg['host'], product_cfg['port'], product_cfg['user'], product_cfg['password']
  )

